<?php
try {
    /* Konfiguracja serwera MySQL */
    $db_server = 'localhost';
    $db_name   = 'db_php8';
    $db_user   = 'db_php8';
    $db_passwd = 'WETFD8toJyKLWtXC'; // u Ciebie będzie z pewnością inne :)

    // otwórz połączenie z bazą danych MYSQL
    $db_pdo = new PDO(
        "mysql:host=$db_server;dbname=$db_name",
        $db_user,
        $db_passwd,
        [PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"]
    );
    
    // włącz obsługę wyjątków dla obsługi interfejsu PDO
    $db_pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    /* przygotowanie zapytania SQL */
    $stmt = $db_pdo->prepare("SELECT * FROM ksiazki WHERE id=:id");
    
    // sprawdź, czy przekazany parametr jest liczbą całkowitą
    if ($stmt->bindValue(':id', 1, PDO::PARAM_INT))
    {
        /* wykonaj przygotowane zapytanie SQL */
        $stmt->execute();
        print_r($stmt->fetch(PDO::FETCH_ASSOC));
    }

    $db_pdo = null; // zamknij połączenie z bazą

} catch (PDOException $e) {
    print "Błąd!: " . $e->getMessage();
    die();
}